db:
  type: sqlite
  database: ":memory:"
  # database: control-plane-b.sqlite

server:
  port: "3002"
  listen: "0.0.0.0"
  publicDomain: localhost:3002
  publicAddress: http://localhost:3002/api

runtime:
  controlPlaneInteractions: manual

iam:
  type: dev
  didId: did:web:localhost%3A3001
  tokenUrl: http://localhost:3001/api/auth/login
  walletUrl: http://localhost:3001/api
  clientId: client
  clientSecret: secret

auth:
  enabled: false

initCatalog:
  creator: did:web:localhost%3A3002
  publisher: did:web:localhost%3A3002
  title: TSG Test Connector
  description: TSG Test Connector testing Data Space Protocol support
  datasets:
    - '{"@context":"https://w3id.org/dspace/v0.8/context.json","@id":"urn:uuid:3afeadd8-ed2d-569e-d634-8394a8836d57","@type":"dcat:Dataset","dct:title":"Traffic Data","dct:description":[{"@value":"Traffic data sample extract","@language":"en"}],"dcat:keyword":["traffic"],"odrl:hasPolicy":{"@type":"odrl:Offer","@id":"urn:uuid:2828282:3dd1add8-4d2d-569e-d634-8394a8836a88","odrl:permission":[{"@type":"odrl:Permission","odrl:action":"odrl:use","odrl:constraint":[{"@type": "odrl:Constraint","odrl:leftOperand":"odrl:spatial","odrl:rightOperand":"_:EU","odrl:operator":"odrl:eq"}]}]},"dcat:distribution":[{"@type":"dcat:Distribution","dct:format":{"@id":"dspace:http"},"dcat:accessService":[{"@id":"urn:uuid:4aa2dcc8-4d2d-569e-d634-8394a8834d77","@type":"dcat:DataService","dcat:endpointDescription":{"@id":"dspace:connector"},"dcat:endpointURL":"https://provder-a.com/connector"}]}]}'
    - '{"@context":"https://w3id.org/dspace/v0.8/context.json","@id":"urn:uuid:3afeadd8-ed2d-569e-d634-8394a8836d58","@type":"dcat:Dataset","dct:title":"Traffic Data","dct:description":[{"@value":"Traffic data sample extract","@language":"en"}],"dcat:keyword":["traffic"],"odrl:hasPolicy":{"@type":"odrl:Offer","@id":"urn:uuid:2828282:3dd1add8-4d2d-569e-d634-8394a8836a89","odrl:permission":[{"@type":"odrl:Permission","odrl:action":"odrl:use","odrl:constraint":[{"@type": "odrl:Constraint","odrl:leftOperand":"odrl:spatial","odrl:rightOperand":"_:EU","odrl:operator":"odrl:eq"}]}]},"dcat:distribution":[{"@type":"dcat:Distribution","dct:format":{"@id":"dspace:http"},"dcat:accessService":[{"@id":"urn:uuid:4aa2dcc8-4d2d-569e-d634-8394a8834d55","@type":"dcat:DataService","dcat:endpointDescription":{"@id":"dspace:connector"},"dcat:endpointURL":"https://provder-a.com/connector"}]}]}'
    - '{"@context":"https://w3id.org/dspace/v0.8/context.json","@id":"urn:uuid:3afeadd8-ed2d-569e-d634-8394a8836d22","@type":"dcat:Dataset","dct:title":"Traffic Data","dct:description":[{"@value":"Traffic data sample extract","@language":"en"}],"dcat:keyword":["traffic"],"odrl:hasPolicy":{"@type":"odrl:Offer","@id":"urn:uuid:2828282:3dd1add8-4d2d-569e-d634-8394a8836a12","odrl:permission":[{"@type":"odrl:Permission","odrl:action":"odrl:use","odrl:constraint":[{"@type": "odrl:Constraint","odrl:leftOperand":"odrl:spatial","odrl:rightOperand":"_:EU","odrl:operator":"odrl:eq"}]}]},"dcat:distribution":[{"@type":"dcat:Distribution","dct:format":{"@id":"dspace:http"},"dcat:accessService":[{"@id":"urn:uuid:4aa2dcc8-4d2d-569e-d634-8394a8834d23","@type":"dcat:DataService","dcat:endpointDescription":{"@id":"dspace:connector"},"dcat:endpointURL":"https://provder-a.com/connector"}]}]}'
    - '{"@context":"https://w3id.org/dspace/v0.8/context.json","@id":"urn:uuid:3afeadd8-ed2d-569e-d634-8394a8836d11","@type":"dcat:Dataset","dct:title":"Traffic Data","dct:description":[{"@value":"Traffic data sample extract","@language":"en"}],"dcat:keyword":["traffic"],"dcat:distribution":[{"@type":"dcat:Distribution","dct:format":{"@id":"dspace:http"},"dcat:accessService":[{"@id":"urn:uuid:4aa2dcc8-4d2d-569e-d634-8394a8834d99","@type":"dcat:DataService","dcat:endpointDescription":{"@id":"dspace:connector"},"dcat:endpointURL":"https://provder-a.com/connector"}]}]}'
